org.apache.cayenne.map

## Class EntityListener

- java.lang.Object
- - org.apache.cayenne.map.EntityListener

- All Implemented Interfaces:
    Serializable, XMLSerializable

      public class EntityListener
      extends Object
      implements Serializable, XMLSerializable

  A mapping descriptor of an entity listener class that declares one or more callback methods to be notified of the entity events.
  Since:
    3.0
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CallbackMap` | `callbacks`
    `protected String` | `className`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityListener()`
    `EntityListener(String className)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encodeAsXML(XMLEncoder encoder)` Prints itself as XML to the provided XMLEncoder.
    `CallbackMap` | `getCallbackMap()` Returns an object that stores callback methods of this listener.
    `String` | `getClassName()`
    `void` | `setClassName(String className)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### className

          protected String className

    - #### callbacks

          protected CallbackMap callbacks

  - ### Constructor Detail

    - #### EntityListener

          public EntityListener()

    - #### EntityListener

          public EntityListener(String className)

  - ### Method Detail

    - #### getClassName

          public String getClassName()

    - #### setClassName

          public void setClassName(String className)

    - #### getCallbackMap

          public CallbackMap getCallbackMap()

      Returns an object that stores callback methods of this listener.
      Returns:
        callback map

    - #### encodeAsXML

          public void encodeAsXML(XMLEncoder encoder)

      Description copied from interface: `XMLSerializable`
      Prints itself as XML to the provided XMLEncoder.
      Specified by:
        `encodeAsXML` in interface `XMLSerializable`

Copyright © 2001–2018 Apache Cayenne. All rights reserved.